body {
    background-color: #E3E3E3;
}

html {
    scroll-behavior: smooth;
    scroll-padding: 8.6rem;
}



/* Cabeçalho */

.interface {
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 4%;
}

header {
    width: 100%;
    padding: 30px 0px 10px;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(243, 227, 196, 0.612);
    transition: .5s;
}

header .interface {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


header .logo img {
    max-width: 180px;
}

/* estilo do menu dinâmico */

header.rolar {
    background-color: rgb(243, 227, 196);
    box-shadow: 0 0 8px rgba(3, 3, 3, 0.736);
    z-index: 999;
}


/* ------------------------- */

header .menu-desktop nav ul {
    list-style-type: none;
    display: flex;
    gap: 80px;
}

header .menu-desktop nav ul a {
    color: #000000;
    text-decoration: none;
    font-size: 1.2rem;
    display: inline-block;
    transition: 0.3s;
}

.menu-desktop nav a:hover {
    transform: scale(1.05);
}

header .btn-contato button {
    border: 1px solid #000000;
    color: #000000;
}

header .btn-contato button,
.modelos button {
    width: 140px;
    height: 50px;
    font-size: 18px;
    background-color: transparent;
    cursor: pointer;

}

header .btn-contato button:hover {
    background-color: hsla(0, 0%, 0%, 0.822);
    color: hsl(0, 0%, 100%);
    transition: 0.5s;
}



/* estilo botao do menu mobile  */
header .btn-menu-mob {
    display: none;
    position: relative;
    z-index: 10;
}


header .btn-menu-mob div {
    background-color: #000000;
    margin: 10px 0;
    transition: .1s;
}

header .btn-menu-mob .line-menumob-1,
.line-menumob-2,
.line-menumob-3 {
    width: 30px;
    height: 3px;
}

header .btn-menu-mob .line-menumob-1.ativo1 {
    transform: rotate(45deg) translate(30%);
}

header .btn-menu-mob .line-menumob-2.ativo2 {
    transform: rotate(-45deg) translate(30%);
}

header .btn-menu-mob .line-menumob-3.ativo3 {
    display: none;
}



/* estilo menu mobile */

header .menu-mobile {
    width: 0;
    height: 0;
    background-color: rgba(243, 227, 196, 0.986);
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    overflow: hidden;
    transition: .5s;
}


header .menu-mobile nav {
    width: 100%;
}

header .menu-mobile nav ul {
    list-style-type: none;
}

header .menu-mobile nav a {
    font-size: 24px;
    text-decoration: none;
    color: #000000;
    padding: 20px 0;
    display: block;
}

header .menu-mobile nav a:hover {
    background-color: #000000;
    color: rgba(243, 227, 196, 0.986);

}

header .menu-mobile.abrir {
    width: 100%;
    height: 100vh;

}

body.no-overflow {
    overflow: hidden;
}


/* hero */

section.hero-site {
    height: 98vh;
    background: url(../images/capa.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;

}

/* estilo sobre */
.sobre {
    padding: 80px 0 40px;

}

.sobre .itens-container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 10%;
    margin-bottom: 70px;

}

.sobre .itens-container .img-itens img {
    max-width: 400px;
    border-radius: 10px;
    transform: translateY(25px);
}

.sobre .itens-container .txt-itens h2 {
    font-size: 3em;
    margin-bottom: 20px;

}


.sobre .itens-container .txt-itens span {
    font-weight: 300;
}


.sobre .itens-container .txt-itens p {
    text-align: justify;
    text-indent: 2rem;
}

.sobre .itens-container .txt-itens a {
    text-decoration: none;
    color: #000000;
    font-weight: 600;
}



/* estilos contato */


section.contato {
    background-color: #ffffff;
    padding: 80px 0;
}

.contato .interface {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.icons-contato {
    display: flex;
    flex-direction: column;
    width: 30%;

}

.contato .txt-contato h3 {
    font-size: 2.5rem;
}

.contato .txt-contato span {
    font-weight: 300;
}


.contato .txt-contato p {
    font-size: 1.2rem;
}

.contato .icons-contato a {
    display: flex;
    text-decoration: none;
    color: #000000;
    width: 100%;
    height: 60px;
    margin: 0 auto 20px auto;
    align-items: center;
    justify-content: space-between;
    padding: 0 30px;
    background-color: transparent;
    border: 2px solid black;
    cursor: pointer;
    transition: 0.3s;

}

.contato .icons-contato a i {
    font-size: 20px;

}

.contato .icons-contato a:hover {
    background-color: #000000;
}

.contato .icons-contato a:hover i,
.contato .icons-contato a:hover p {
    color: white;
}



/* estilo modelos */

section.modelos {
    height: 500px;
    background-image: url(../images/capa-modelos.jpeg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    color: #ffffff;
    background-attachment: fixed;

}

.modelos>.overlay {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #00000099;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.modelos>.interface {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    flex-direction: column;
    z-index: 2;
    position: relative;

}

.modelos h3 {
    font-size: 3rem;
}

.modelos h3 span {
    font-weight: 200;
}

.modelos p {
    margin: 20px;
    font-size: 1.2rem;
}

.modelos button {
    width: 220px;
    height: 60px;
    margin: 10px;
    color: #ffffff;
    border: 2px solid #ffffff;
}

.modelos button:hover {
    background-color: hsl(0, 0%, 100%);
    color: hsl(0, 0%, 0%);
    transition: 0.5s;
}

.modelos .btn-modelos span {
    font-weight: 600;
}



/* estilo opcionais */

section.opcionais {
    padding: 80px 0;
}

.txt-opcionais,
.modelos-opcionais {
    display: inline-block;
    width: 50%;
    margin-right: -4px;
    vertical-align: top;
}

.opcionais .txt-opcionais p {
    font-size: 2.5rem;
    font-weight: 300;
    line-height: 2.8rem;
}

.opcionais .txt-opcionais p span {
    font-weight: 600;
}

.modelos-opcionais .modelos-opcionais-box {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
    border: 2px solid #000000;
    padding: 20px;
    background-color: transparent;
    transition: .5s;
}

.modelos-opcionais .modelos-opcionais-box:hover {
    background-color: rgba(243, 227, 196, 0.612);
}


.modelos-opcionais .modelos-opcionais-box .txt-opcionais-box a {
    text-decoration: none;
    color: #000000;
    text-align: justify;
}

.modelos-opcionais .modelos-opcionais-box h4 {
    font-size: 1.2rem;

}

.opcionais .txt-opcionais {
    position: sticky;
    top: 50%;
    padding-bottom: 20px;
}





/* estilos footer */

footer {
    background-color: #000000;
    width: 100%;
    text-align: center;
    padding: 30px 0;

}

footer .top-footer button {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: 2px solid white;
    background-color: transparent;
    color: white;
    font-size: 20px;
    cursor: pointer;
    margin: 20px 10px;
    transition: 0.5s;
}

footer .top-footer button:hover {
    background-color: #ffffff;
    color: black;
}

footer .bottom-footer {
    border-top: 2px solid #ffffff;
}


footer .bottom-footer p {
    color: #ffffff;
    margin-top: 10px;
    font-size: 0.8rem;
}



/* MODELOS */

section.hero-modelos {
    height: 98vh;
    background: url(../images/capa-modelos2.png) no-repeat center center / cover;

}

.hero-modelos .titulo-modelo {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    flex-direction: column;
}

.hero-modelos .titulo-modelo h3 {
    font-size: 4rem;
    color: #ffffff;
    font-weight: 600;
    margin-bottom: 20px;

}

.hero-modelos h3 span {
    font-weight: 200;
}

.hero-modelos .titulo-modelo h4 {
    font-size: 3rem;
    color: #ffffff;
    font-weight: 300;
    border: 2px solid white;
    padding: 10px;
}


.hero-modelos .titulo-modelo h4 span {
    font-weight: 600;
}

.hero-modelos .txt-modelo-um h3 {
    padding: 40px 0 30px;
    font-size: 2.5rem;
    font-weight: 300;
}

.hero-modelos .txt-modelo-um ul {
    line-height: 2.3rem;
    margin-bottom: 20px;
}

.hero-modelos .txt-modelo-um ul li {
    font-size: 1.3rem;

}

.hero-modelos .txt-modelo-um a {
    font-weight: 600;
    text-decoration: none;
    font-size: 1.1rem;
    color: #000000;
    border: 2px solid black;
    padding: 10px;
    transition: .5s;
}

.hero-modelos .txt-modelo-um a:hover {
    background-color: rgba(243, 227, 196, 0.612);
}

.img-modelos {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 40px;
    padding: 70px 0;
}


.hero-modelos .img-modelos img {
    width: 300px;
    height: 400px;
    border-radius: 10px;
    transition: .3s;
}

.hero-modelos .img-modelos img:hover {
    transform: scale(1.08);
}




/* história */

section.historia {
    height: 98vh;
    background: url(../images/opcionais/opcionais-capa-2.jpg) no-repeat center center / cover;

}

.historia .titulo-historia {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    flex-direction: column;
    text-shadow: 1px 1px 6px black;
}

.historia .titulo-historia h3 {
    font-size: 4rem;
    color: #ffffff;
    font-weight: 600;
}


.historia .itens-container-historia {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10%;
    margin: 45px 0;

}

.historia .itens-container-historia .img-itens-historia {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.historia .itens-container-historia .img-itens-historia .foto-sobre-1 {
    max-width: 500px;

}

.historia .itens-container-historia .img-itens-historia img {
    max-width: 400px;
    border-radius: 10px;
    margin: 50px 0 10px;

}

.historia .itens-container-historia .img-itens-historia .creditos {
    margin-bottom: 10px;
    font-size: 0.8em;
}


.historia .itens-container-historia .img-itens-historia .creditos-foto-sobre-1 {
    margin-bottom: 40px;
    font-size: 0.8em;
}


.historia .itens-container-historia .txt-itens-historia h2 {
    font-size: 2em;
    margin: 30px 0 20px;
    font-weight: 300;
}

.historia .itens-container-historia .txt-itens-historia h2 span {
    font-weight: 600;
}

.historia .itens-container-historia .txt-itens-historia p {
    text-align: justify;
    font-size: 1.1em;
    text-indent: 2em;
}


.historia .itens-container-historia .txt-itens-historia .citacao {
    text-align: center;
    font-size: 1em;
    margin-bottom: 30px;
    border: 2px solid black;
    padding: 10px;


}

.historia .itens-container-historia .txt-itens-historia .citacao span {
    font-weight: 600;
}




/* videos */

section.videos {
    height: 98vh;
    background: url(../images/capa-videos.jpg) no-repeat center center / cover;

}

.videos .titulo-videos {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    flex-direction: column;
    text-shadow: 1px 1px 6px black;
}

.videos .titulo-videos h3 {
    font-size: 4rem;
    color: #ffffff;
    font-weight: 600;
    margin-bottom: 20px;
}


.videos .itens-container-videos {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 40px 0 40px;
}

.videos .itens-container-videos .titulo-videos h2 {
    font-size: 3em;
    margin-bottom: 40px;
    font-weight: 300;
    text-align: center;
}

.videos .itens-container-videos .container-videos {
    display: flex;
    flex-wrap: wrap;
    gap: 60px;
    align-items: center;
    justify-content: space-around;

}




/* galeria */
section.galeria {
    height: 98vh;
    background: url(../images/capa-videos.jpg) no-repeat center center / cover;

}

.galeria .titulo-galeria {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    flex-direction: column;
    text-shadow: 1px 1px 6px black;
}

.galeria .titulo-galeria h3 {
    font-size: 4rem;
    color: #ffffff;
    font-weight: 600;
    margin-bottom: 20px;
}


.galeria .img-galeria {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin: 50px;
    flex-wrap: wrap;
}

.galeria .img-galeria img {
    width: 320px;
    height: 335px;
    border-radius: 10px;
    margin-top: 30px;
    transition: .3s;
}

.galeria .img-galeria img:hover {
    transform: scale(1.08);
}




/* hero opcionais */

section.hero-opcionais {
    height: 98vh;
    background: url(../images/opcionais/opcionais-capa-2.jpg) no-repeat center center / cover;

}

.hero-opcionais .titulo-opcionais {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    flex-direction: column;
    text-shadow: 1px 1px 6px black;
}

.hero-opcionais .titulo-opcionais h3 {
    font-size: 4rem;
    color: #ffffff;
    font-weight: 600;
    margin-bottom: 20px;
}

.hero-opcionais .titulo-opcionais h3 span {
    font-weight: 200;
}

.hero-opcionais .txt-opcionais {
    display: inline;
}

.hero-opcionais .txt-opcionais h3 {
    padding: 40px 0 30px;
    font-size: 2.5rem;
    font-weight: 600;
}

.hero-opcionais .txt-opcionais h3 span {
    font-weight: 300;

}

.hero-opcionais .txt-opcionais p {
    font-size: 1.2rem;
}

.hero-opcionais .txt-opcionais p span {
    font-weight: 600;
}

.img-opcionais {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 40px;
    padding: 70px 0;
}


.hero-opcionais .img-opcionais img {
    width: 300px;
    height: 400px;
    border-radius: 10px;
    transition: .3s;
}

.hero-opcionais .img-opcionais img:hover {
    transform: scale(1.08);
}

.hero-opcionais .img-opcionais .img-case {
    width: 500px;
    height: 350px;

}